Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 163979

Summary: checkquota is broken, says it can't move old file to new file~ (also quotatab gets overwritten at install time)
Product: [Fedora] Fedora Reporter: John Fishman <fish>
Component: quotaAssignee: Amit Gud <agud>
Status: CLOSED WORKSFORME QA Contact: Brock Organ <borgan>
Severity: medium Docs Contact:
Priority: medium    
Version: 4CC: clovis, steved
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-08-01 14:45:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 150221    

Description John Fishman 2005-07-22 16:11:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5

Description of problem:
checkquota is broken, says it can't move old file to new file~

> # /sbin/quotacheck -abfM
> quotacheck: Cannot rename old quotafile /home/aquota.user to /home/aquota.user~: Operation not permitted
> 
> # \rm -f aquota*
> rm: cannot remove `aquota.user': Operation not permitted
> 
> it's like the os has the file locked and won't let go.
> 
> /dev/sdb1 on /home type ext3 (rw,nosuid,nodev,usrquota)
> quota-3.12-6

can't rm the file either and removing the old aquota.user~ file
does not fix the issue either

also /etc/quotatab overwritten in fc2 to fc4 upgrade


Version-Release number of selected component (if applicable):
quota-3.12-6

How reproducible:
Always

Steps to Reproduce:
1. run /sbin/quotacheck -abfM on a system that already has quotas
2.
3.
  

Actual Results:  see above

Additional info:

Comment 1 Jonathan Hutchins 2005-11-04 16:25:59 UTC
It's the "-b" flag for "backup /aquota.user" that generates the problem. 
 
Various error messages depending on whether the aquota.user.new file exists 
include "Operation not permitted".   This is not an SELinux error, SELinux is 
disabled.  /aquota.user is rw root. 

Comment 2 John Fishman 2005-12-16 00:45:38 UTC
this got fixed when this was released:

Name        : kernel                       
Version     : 2.6.13                            Vendor: Red Hat, Inc.
Release     : 1.1526_FC4                    Build Date: Wed Sep 28 20:05:24 2005

but then it got broken again when this was released:

Name        : kernel                       
Version     : 2.6.14                            Vendor: Red Hat, Inc.
Release     : 1.1644_FC4                    Build Date: Sun Nov 27 03:53:57 2005


Comment 3 Clovis Tristao 2006-01-28 12:45:16 UTC
Same problem for me.

Comment 6 Amit Gud 2006-08-01 14:45:49 UTC
No occurance of bug on RHEL4 and FC5, using the latest quota tools (v3.13)